import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable, of } from 'rxjs';
import { ExcelModel } from '../model/excel.model';
import { map, tap } from 'rxjs/operators';
import { TagModel } from '../model/tag.mmodel';

@Injectable({
  providedIn: 'root'
})
export class TagService {
  url = environment.url
  createStatus: boolean = true
  constructor(private http: HttpClient) { }

  getList(): Observable<TagModel[]> {
    return this.http.get<TagModel[]>(this.url + "tag/lists")
  }
  getListWidgets(): Observable<TagModel[]> {
    return this.http.get<TagModel[]>(this.url + "widget-tag/lists")
  }
}
